#include<iostream>
#define endl '\n'
using namespace std;
const long long mod=998244353;
int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    long long n,m,k,r=1,t,rt=0,mi=0;
    cin>>n>>m>>k;

    mi=min(k,n-1);

    for(int i=1;i<=n-2;i++)
    {
        r*=m;r%=mod;
    }
cout<<mi*r<<endl;
}
